haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Cabal.Completion.Completer.Types

Synopsis

- type Completer = Recorder (WithPriority Log) -> CompleterData -> IO [CompletionItem]
- data CompleterData = CompleterData {
  - getLatestGPD :: IO (Maybe GenericPackageDescription)
  - cabalPrefixInfo :: CabalPrefixInfo
  - stanzaName :: Maybe StanzaName
  }

# Documentation

type Completer = Recorder (WithPriority Log) -> CompleterData -> IO [CompletionItem] #

Takes information needed to build possible completion items and returns the list of possible completion items

data CompleterData #

Contains information to be used by completers.

Constructors

CompleterData |

Fields

- getLatestGPD :: IO (Maybe GenericPackageDescription)

  Access to the latest available generic package description for the handled cabal file, relevant for some completion actions which require the file's meta information such as the module completers which require access to source directories

- cabalPrefixInfo :: CabalPrefixInfo

  Prefix info to be used for constructing completion items

- stanzaName :: Maybe StanzaName

  The name of the stanza in which the completer is applied